%define		_name REV-plugins
Summary:	Stereo reverb LADSPA plugin
Summary(pl.UTF-8):	Wtyczka LADSPA - stereofoniczny pogłos
Name:		ladspa-rev-plugins
Version:	0.3.1
Release:	1
License:	GPL v2+
Group:		Applications/Sound
#Source0Download: http://users.skynet.be/solaris/linuxaudio/getit.html
Source0:	http://users.skynet.be/solaris/linuxaudio/downloads/%{_name}-%{version}.tar.bz2
# Source0-md5:	bca920c2cbf5e33989e7cafab6fbaee4
Patch0:		%{name}-misc_fixes.patch
URL:		http://users.skynet.be/solaris/linuxaudio/
BuildRequires:	ladspa-devel
BuildRequires:	libstdc++-devel
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This LADSPA plugin contains a digital implementation of the stereo
reverb effect.

%description -l pl.UTF-8
Ta wtyczka LADSPA zawiera cyfrową implementację stereofonicznego
efektu pogłosu.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CPPFLAGS="-I. -fPIC -D_REENTRANT -Wall %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ladspa

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PLUGINS_DIR=%{_libdir}/ladspa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ladspa/g2reverb.so
%changelog
* Mon Sep 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa-rev-plugins.git;a=log;h=master

* Mon Sep 26 2016 Jakub Bogusz <qboosh@pld-linux.org> ac939ee
- updated to 0.3.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7d90306
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 870ed1b
- converted to UTF-8

* Tue Oct 05 2004 havner <havner@pld-linux.org> 3e42c23
- fixed

* Mon Oct 04 2004 havner <havner@pld-linux.org> 8942ea7
- fix build on amd64

* Wed Mar 24 2004 freetz <freetz@pld-linux.org> 2bb85ff
- url updates

* Fri Jan 09 2004 Jakub Bogusz <qboosh@pld-linux.org> f5a6171
- pass CXX, removed duplicated "install"

* Fri Jan 09 2004 freetz <freetz@pld-linux.org> 3637a53
- initial: destdir and ladspa include

* Fri Jan 09 2004 freetz <freetz@pld-linux.org> 8f6a710
- initial PLD release

